<template>
  <div
    class="h-screen flex w-full bg-img vx-row no-gutter items-center justify-center"
    id="page-login"
  >
    <div class="vx-col sm:w-1/2 md:w-1/2 lg:w-3/4 xl:w-3/5 sm:m-0 m-4">
      <vx-card>
        <div slot="no-body" class="full-page-bg-color">
          <div class="vx-row no-gutter justify-center items-center">
            <div class="vx-col hidden lg:block lg:w-1/2">
              <img
                src="@/assets/images/pages/login.png"
                alt="login"
                class="mx-auto"
              />
            </div>

            <div class="vx-col sm:w-full md:w-full lg:w-1/2 d-theme-dark-bg">
              <div class="p-8 login-tabs-container">
                <div class="vx-card__title mb-4">
                  <h4 class="mb-4">Login</h4>
                  <p>Welcome back, please login to your account.</p>
                </div>

                <div>
                  <vs-input
                    name="email"
                    icon-no-border
                    icon="icon icon-user"
                    icon-pack="feather"
                    label-placeholder="Email"
                    v-model="form.email"
                    class="w-full"
                  />

                  <vs-input
                    type="password"
                    name="password"
                    icon-no-border
                    icon="icon icon-lock"
                    icon-pack="feather"
                    label-placeholder="Password"
                    v-model="form.password"
                    class="w-full mt-6"
                  />

                  <div class="flex flex-wrap justify-between my-5">
                    <vs-checkbox
                      v-model="form.checkbox_remember_me"
                      class="mb-3"
                      >Remember Me</vs-checkbox
                    >
                  </div>
                  <vs-button type="border" @click="registerUser"
                    >Register</vs-button
                  >
                  <vs-button class="float-right" @click="login">
                    Login
                  </vs-button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </vx-card>
    </div>
  </div>
</template>

<script>
import { mapActions } from "vuex";
import axios from "../../axios";

export default {
  data() {
    return {
      form: {
        email: "",
        password: "",
        checkbox_remember_me: false
      }
    };
  },

  methods: {
    ...mapActions({
      signIn: "auth/signIn"
    }),

    registerUser() {
      this.$router
        .replace({
          name: "page-register"
        })
        .catch(() => {});
    },
    clearFields() {
      this.$nextTick(() => {
        this.form.email = "";
        this.form.password = "";
        this.form.checkbox_remember_me = false;
      });
    },

    login() {
      axios.get("/sanctum/csrf-cookie").then(response => {
        console.log(response);
        this.signIn(this.form)
          .then(() => {
            this.$vs.notify({
              color: "success",
              title: "Success",
              text: "Successfully Logged In"
            });
            this.$router.replace({
              name: "home"
            });
          })
          .catch(() => {
            this.clearFields();
            this.$vs.notify({
              color: "danger",
              title: "Failed",
              text: "Invalid Credentials"
            });
          });
      });
    }
  }
};
</script>

<style lang="scss">
#page-login {
  .social-login-buttons {
    .bg-facebook {
      background-color: #1551b1;
    }
    .bg-twitter {
      background-color: #00aaff;
    }
    .bg-google {
      background-color: #4285f4;
    }
    .bg-github {
      background-color: #333;
    }
  }
}
</style>
